Get Insider Transactions
curl --request GET \
--url https://api.aries.com/v1/ownership/insider-transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aries.com/v1/ownership/insider-transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/ownership/insider-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"change": 1852,
"filingDate": "2024-02-05",
"name": "BELL JAMES A",
"share": 38527,
"symbol": "AAPL",
"transactionCode": "M",
"transactionDate": "2024-02-01",
"transactionPrice": 0
}
]
}Ownership
Insider Transactions
Retrieve insider trading activity including purchases, sales, and option exercises by company executives, directors, and major shareholders. Track insider sentiment and potential price signals.
Use Case: Alert users when CEOs make significant purchases of their own company stock.
GET
/
v1
/
ownership
/
insider-transactions
Get Insider Transactions
Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
FlowAuthorization Code
- Authorization URL
- https://app.aries.com/oauth2/authorize
- Token URL
- https://api.aries.com/v1/oauth2/token
- Refresh URL
- https://api.aries.com/v1/oauth2/token
FlowClient Credentials
- Token URL
- https://api.aries.com/v1/oauth2/token
- Refresh URL
- https://api.aries.com/v1/oauth2/token
Scopes1
market:supplemental
News, company profiles, financials, filings, ETF data, technical analysis
Query Parameters
Stock symbol, such as AAPL. Use it to narrow results to one company.
Optional start date in YYYY-MM-DD format. Use it to begin the research window.
Optional end date in YYYY-MM-DD format. Use it to end the research window.
Response
Insider transactions.
List of insider trading transactions
Show child attributes
Show child attributes
Was this page helpful?